> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set client default location handler

> Set the default location handler that will be used to redirect traffic from locations not used in content
delivery and to deliver content when the user's region has not been defined.

The location must be included in the list of regions used for content delivery.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml post /cdn/admin/default_region
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/admin/default_region:
    post:
      tags:
        - Balancer
      summary: Set client default location handler
      description: >-
        Set the default location handler that will be used to redirect traffic
        from locations not used in content

        delivery and to deliver content when the user's region has not been
        defined.


        The location must be included in the list of regions used for content
        delivery.
      operationId: set-client-default-location-handler
      requestBody:
        $ref: '#/components/requestBodies/SetDefaultHandler'
      responses:
        '204':
          description: Successful.
        '400':
          $ref: '#/components/responses/DefaultHandlerError'
components:
  requestBodies:
    SetDefaultHandler:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SetDefaultHandler'
          examples:
            default:
              $ref: '#/components/examples/DefaultHandler'
  responses:
    DefaultHandlerError:
      description: Failed to set client default location handler.
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/UnacceptableHandler'
              - $ref: '#/components/schemas/ClientForDefaultHandlerNotFound'
  schemas:
    SetDefaultHandler:
      type: object
      properties:
        client_id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        name:
          allOf:
            - $ref: '#/components/schemas/body_request_balancer_DefaultNameHandler'
      required:
        - client_id
        - name
    UnacceptableHandler:
      description: The specified region is not allowed as the default location handler.
      type: object
      properties:
        error:
          type: string
          description: >-
            The specified region is not allowed as the default location handler.


            To get the list of allowed regions, use [Get client content delivery
            regions
            list](/docs/api-reference/cdn-resellers/balancer/get-client-content-delivery-regions-list).
          example: unacceptable handler
    ClientForDefaultHandlerNotFound:
      description: Client with the specified account ID is not found.
      type: object
      properties:
        errors:
          type: object
          properties:
            client_id:
              type: array
              items:
                type: string
              description: Client with the specified account ID is not found.
              example:
                - Client with ID 174 not found.
    body_response_client_ID:
      type: integer
      description: Client account ID.
    body_request_balancer_DefaultNameHandler:
      type: string
      description: >-
        Region name.


        [Get the client default location
        handler](/docs/api-reference/cdn-resellers/balancer/get-client-default-location-handler)
        to learn more about regions that can be used as the default location
        handler.
  examples:
    DefaultHandler:
      value:
        client_id: 1
        name: region
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````